WordPress Spreadsheet Plugin “ss_id” SQL befecskendezés sérülékenység

CH azonosító

CH-1177

Felfedezés dátuma

2008.04.24.

Súlyosság

Közepes

Érintett rendszerek

Spreadsheet plugin
WordPress

Érintett verziók

WordPress Spreadsheet plugin 0.x

Összefoglaló

A WordPress Spreadsheep Plugin (wpSS) olyan sérülékenysége vált ismertté, melyet kihasználva rosszindulatú támadók SQL befecskendezéses támadást hajthatnak végre.

Leírás

A wpSS/ss_load.php “ss_id” paraméterének átadott bevitel a nincs megfelelően megtisztítva mielőtt az SQL lekérdezésben használnák. Ezt kihasználva rosszindulatú támadók módosíthatják az SQL lekérdezéseket tetszőleges kód befecskendezésével.

A sérülékenység a 0.6-os verzióban található, de más verziók is érintettek lehetnek.

Megoldás

Telepítse a javítócsomagokat